<?php
/**
 * FluentC WordPress Plugin File.
 *
 * This file contains the adjustments for the AISEO Plugin
 *
 * @package FluentCPlugin
 * @author  FluentC <wp@fluentc.io>
 */

namespace FluentC\Actions;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
use FluentC\Models\Hooks;
use FluentC\Services\Connect;
use FluentC\Utils\Language;
use FluentC\Services\Cache;

/**
 * AIOSEO specific modifications
 */
class Aioseo implements Hooks {

	/**
	 * FluentC connection class
	 *
	 * @var object
	 */
	protected $fluentc_connenct;

	/**
	 * FluentC connection class
	 *
	 * @var object
	 */
	protected $fluentc_language;

	/**
	 * FluentC cache class
	 *
	 * @var object
	 */
	protected $fluentc_cache;

	/**
	 * Constructor.
	 *
	 * @since 1.2
	 */
	public function __construct() {
		$this->fluentc_connenct = new Connect();
		$this->fluentc_language = new Language();
		$this->fluentc_cache = new Cache();
	}
	/**
	 * Hooks for Autoloading
	 *
	 * @since 1.2
	 */
	public function hooks() {

		add_filter( 'aioseo_canonical_url', array( $this, 'aioseoFilterCanonicalUrl' ) );
		//add_filter( 'aioseo_description', array( $this, 'aioseoFilterDescription' ), 10, 1 );
		//add_filter( 'aioseo_title', array( $this, 'aioseoFilterDescription' ), 10, 1 );
	}
	/**
	 * Disables the canonical_URL
	 */
	public function aioseoFilterCanonicalUrl() {
		return '';
	}
}
